Get files
Retrieves list of uploaded files.
Retrieves list of uploaded files.
Headers
AuthorizationRequiredBearer <SONIOX_API_KEY>Query parameters
limitintegerMaximum number of files to return.
Default:
1000Minimum: 1Maximum: 1000cursorstringPagination cursor for the next page of results.
Response
200
List of files.
filesRequiredarray<object>List of uploaded files.
next_page_cursorstringA pagination token that references the next page of results. When more data is available, this field contains a value to pass in the cursor parameter of a subsequent request. When null, no additional results are available.
Errors
List of files.
{
"files": [
{
"id": "84c32fc6-4fb5-4e7a-b656-b5ec70493753",
"filename": "example.mp3",
"size": 123456,
"created_at": "2024-11-26T00:00:00Z"
}
],
"next_page_cursor": "cursor_or_null"
}